#!/bin/sh
#===============================================================================
#
# CPM CLASS DIR LINK
#
# 2006.06.01 μȽб  CLIMB S.Matsumoto
#                                                Copyright FUJITSU LTD 2004-2006
#===============================================================================
#$Name: SLINPSA-2_6_1-0 $

# :: ư ::
echo ./chkmdl start. > /var/opt/FJSVpsa/log/cpm/sh.inlog

# :: ѥ᥿å ::
if [ $# -eq 0 ];
then
	echo not parameter >> /var/opt/FJSVpsa/log/cpm/sh.inlog
	exit -1
fi
if [ $# -ne 3 ];
then
	echo invalid parameter : $* >> /var/opt/FJSVpsa/log/cpm/sh.inlog
	exit -1
fi

echo receive parameter : $* >> /var/opt/FJSVpsa/log/cpm/sh.inlog


# :: ѥ ::
cpm_etc="/etc/opt/FJSVpsa/machine"
cpm_var="/var/opt/FJSVpsa/machine"
cpm_opt="/opt/FJSVpsa/machine"
cpm_cur="/current"

# бե
cpm_org1=$1
cpm_org2=$2
cpm_org3=$3

ph1=$cpm_etc"/"$cpm_org2
ph2=$cpm_var"/"$cpm_org1
ph3=$cpm_opt"/"$cpm_org3

# ::  ::
find $cpm_etc -name "current" -exec \rm -r {} \;
find $cpm_var -name "current" -exec \rm -r {} \;
find $cpm_opt -name "current" -exec \rm -r {} \;

f1=0
f2=0
f3=0

# бե¸߳ǧ
#
if [ -e $ph1 ];
then
	f1=1
else
	echo not folder $ph1 >> /var/opt/FJSVpsa/log/cpm/sh.inlog
fi

if [ -e $ph2 ];
then
	f2=1
else
	echo not folder $ph2 >> /var/opt/FJSVpsa/log/cpm/sh.inlog
fi

if [ -e $ph3 ];
then
	f3=1
else
	echo not folder $ph3 >> /var/opt/FJSVpsa/log/cpm/sh.inlog
fi

# ::  ::
if [ $f1 -eq 1 -a $f2 -eq 1 -a $f3 -eq 1 ];
then
	echo ln -fs  $ph1 $cpm_etc$cpm_cur >> /var/opt/FJSVpsa/log/cpm/sh.inlog
	ln -fs  $ph1 $cpm_etc$cpm_cur >> /var/opt/FJSVpsa/log/cpm/sh.inlog

	echo ln -fs  $ph2 $cpm_var$cpm_cur >> /var/opt/FJSVpsa/log/cpm/sh.inlog
	ln -fs  $ph2 $cpm_var$cpm_cur >> /var/opt/FJSVpsa/log/cpm/sh.inlog

	echo ln -fs  $ph3 $cpm_opt$cpm_cur >> /var/opt/FJSVpsa/log/cpm/sh.inlog
	ln -fs  $ph3 $cpm_opt$cpm_cur >> /var/opt/FJSVpsa/log/cpm/sh.inlog
fi

echo ./chkmdl end. >> /var/opt/FJSVpsa/log/cpm/sh.inlog
