#!/bin/bash
#=========================================================================
#
# CIOS ޥ(Linux)
# Copyright Fujitsu Limited 2005
#
#=========================================================================
# 2005.05.01	
#=========================================================================
# $Name: SLINPSA-2_6_1-0 $
#=========================================================================
#Υޥɤhotplugդˤ򹹿EntityФƳ
#Ū˸򤫤뤳ȤŪ˺äޥɤǤ
#optionsyntax򻲾ȤΤ

HPDIR=/var/opt/FJSVpsa/cios/hpdata/
PCIDIR=pci
SCSIDIR=scsi
SLASH=/
FSEARCH="#FORCE_SEARCH"
no=0

########     syntax     ########
syntax()
{
cat <<!
options are
    -a	: search all entities

    -e "entity"
    	: search specified entity(pci or scsi)

    -h	: display this message
!
}

########     error      ########
err()
{
	if [ $2 != 0 ] ; then
		logger "FJSVpsa W 06296 force_search command can't make file($1)."
#		echo "can't make file $1"
#		perror "$2"
#		echo ""
	fi
}

########      main      ########
#display syntax
if [ "$1" == "" ] ; then
	syntax
	exit 3

#display syntax
elif [ "$1" == "-h" ] ; then
	syntax
	exit 3

#all search
elif [ "$1" == "-a" ] ; then
	#pciޥfile
	touch $HPDIR$PCIDIR$SLASH$FSEARCH 2> /dev/null
	#ͤγǼ
	no=$?
	if [ $no != 0 ]; then
		#err log
		err $HPDIR$PCIDIR$SLASH$FSEARCH $no
		exit 7
	fi

	#scsiޥfile
	touch $HPDIR$SCSIDIR$SLASH$FSEARCH 2> /dev/null
	#ͤγǼ
	no=$?
	if [ $no != 0 ]; then
		#err log
		err $HPDIR$SCSIDIR$SLASH$FSEARCH $no
		exit 3
	fi

#select search
elif [ "$1" == "-e" ] ; then
	if [ $# != 2 ]; then
		echo "invalid option"
		exit 8
	fi
	#pciޥfile
	if [ $2 == $PCIDIR ]; then
		touch $HPDIR$PCIDIR$SLASH$FSEARCH 2> /dev/null
		no=$?
		if [ $no != 0 ]; then
			err $HPDIR$PCIDIR$SLASH$FSEARCH $no
			exit 6
		fi
	#scsiޥfile
	elif [ $2 == $SCSIDIR ] ; then
		touch $HPDIR$SCSIDIR$SLASH$FSEARCH 2> /dev/null
		no=$?
		if [ $no != 0 ]; then
			err $HPDIR$SCSIDIR$SLASH$FSEARCH $no
			exit 5
		fi
	else
		echo "invalid option"
		syntax
		exit 4
	fi
#error
else
	echo "invalid option"
	syntax
	exit 1
fi
exit 0

